Package: org.codehaus.groovy.control.customizers

## [Java] Class CompilationCustomizer

- org.codehaus.groovy.control.customizers.CompilationCustomizer

- All Implemented Interfaces and Traits:
    CompilationUnitIPrimaryClassNodeOperation

      public abstract class CompilationCustomizer
      extends Object
      implements CompilationUnitIPrimaryClassNodeOperation

  Users wanting to customize the configuration process such as adding imports, restricting the language features or apply AST transformations by default should implement this class, then call the CompilerConfiguration.addCompilationCustomizers method.

  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilationCustomizer(CompilePhase phase)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CompilePhase` | `getPhase()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public CompilationCustomizer(CompilePhase phase)

  - ### Method Detail

    - #### public CompilePhase getPhase()